## libfli 2.0

=== debian/changelog ===
libfli (2.0-2) unstable; urgency=medium

  * upload sources
  * debian/control: move to debian-astro
  * debian/control: improve description

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Dec 2021 22:30:07 +0100

libfli (2.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 09 Dec 2021 18:30:07 +0100

## libfli 2.0+20220607003743

=== debian/changelog ===
libfli (2.0+20220607003743-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2022 00:37:54 +0000

## libfli 2.0+20221221182632

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(libfli CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")

ADD_DEFINITIONS(-Wall -O2 -D__LIBUSB__)

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error")

find_package(USB1 REQUIRED)
find_package(INDI REQUIRED)

#SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error")
#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error")

include_directories( ${INDI_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(unix)

## Some files like libnova.h and libusb.h are in in subdirectories of the include directory
## For the CMAKE Modules, they find the subdirectory, so then something like ln_types.h should be #include ln_types.h
## But some packages and drivers write their header files like this: #include libnova/ln_types.h
## On Linux, this is fine since the top include directory such as /usr/include is already included and therefore
## <libnova/ln_types.h> is resolved. But on Mac it its not already in the path and has to be explicitly added.

if (APPLE)
    ##This one is needed for homebrew
include_directories( "/usr/local/include")
    ## This one is needed for Craft
include_directories("${CMAKE_INSTALL_PREFIX}/include")
endif(APPLE)

set(fli_LIB_SRCS
   libfli.c   
   libfli-camera.c   
   libfli-camera-parport.c   
   libfli-camera-usb.c   
   libfli-filter-focuser.c   
   libfli-mem.c
   libfli-raw.c
      
   unix/libfli-usb.c
   unix/libfli-debug.c
   unix/libfli-serial.c
   unix/libfli-sys.c
   
   #unix/linux/libfli-usb-sys.c
   
   # LIBUSB support
   unix/libusb/libfli-usb-sys.c
)

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
list(APPEND fli_LIB_SRCS unix/linux/libfli-parport.c)
endif()

#build a shared library
ADD_LIBRARY(fli SHARED ${fli_LIB_SRCS})

set_target_properties(fli PROPERTIES VERSION 2.0 SOVERSION 2)

#need to link to some other libraries ? just add them here
TARGET_LINK_LIBRARIES(fli ${USB1_LIBRARIES} -lm -lpthread)

#add an install target here
INSTALL(FILES libfli.h DESTINATION include)

INSTALL(TARGETS fli LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/99-fli.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
endif()

=== debian/changelog ===
libfli (2.0+20221221182632-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113150)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:43:25 +0200

libfli (2.0+20221221182632-2) unstable; urgency=medium

  * Delegate placement of udev files to pkg-config data
    (Thanks to Chris Hofstaedtler for the patch, Closes: #1057803)
  * debian/control: bump standard to 3.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 12 Jul 2024 18:27:47 +0200

libfli (2.0+20221221182632-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 2.0

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Dec 2022 18:27:47 +0000

=== debian/control ===
Source: libfli
Section: libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, pkg-config
	, systemd-dev
Standards-Version: 4.7.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libfli
Vcs-Git: https://salsa.debian.org/debian-astro-team/libfli.git

Package: libfli2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for Finger Lakes Instrument hardware
 This package contains a library for Finger Lakes Instrument hardware.
 It can be used by applications to control FLI CCDs and filter wheels.

Package: libfli-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libfli2 (= ${binary:Version})
Description: library for Finger Lakes Instrument hardware - development files
 This package contains a library for Finger Lakes Instrument hardware.
 It can be used by applications to control FLI CCDs and filter wheels.
 .
 This package contains files for development.

=== debian/rules ===
#!/usr/bin/make -f
export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- -DUDEVRULES_INSTALL_DIR=/$(deb_udevdir)/rules.d
